Package org.apache.calcite.avatica

## Class MetaImpl.MetaPrimaryKey

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaPrimaryKey

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaPrimaryKey
    extends java.lang.Object

Metadata describing a primary key.

### Field Summary

Fields
`java.lang.String` `columnName`
`short` `keySeq`
`java.lang.String` `pkName`
`java.lang.String` `tableCat`
`java.lang.String` `tableName`
`java.lang.String` `tableSchem`

### Constructor Summary

Constructors
`MetaPrimaryKey​(java.lang.String tableCat, java.lang.String tableSchem, java.lang.String tableName, java.lang.String columnName, short keySeq, java.lang.String pkName)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tableCat

    public final java.lang.String tableCat

#### tableSchem

    public final java.lang.String tableSchem

#### tableName

    public final java.lang.String tableName

#### columnName

    public final java.lang.String columnName

#### keySeq

    public final short keySeq

#### pkName

    public final java.lang.String pkName

### Constructor Detail

#### MetaPrimaryKey

    MetaPrimaryKey​(java.lang.String tableCat,
                   java.lang.String tableSchem,
                   java.lang.String tableName,
                   java.lang.String columnName,
                   short keySeq,
                   java.lang.String pkName)